Class Specialization
Simple Allocator
General purpose allocator.

Allocator

Allocator

Simple Allocator

Allocator< SimpleAlloc<ParentAllocator> >
Include Headers
seqan/basic.h
Parameters

ParentAllocator | An allocator that is by the simple allocator used to allocate memory. Default: Default Remarks: Default used as allocator means that the default implementations of allocate and deallocate are used.

Specialization of
Allocator
Implements
Allocator
Functions

allocate | Allocates memory from heap. (Allocator)
clear | Deallocates all memory blocks. (Allocator)
clear | Deallocates all memory blocks. (Allocator)
deallocate | Deallocates memory. (Allocator)

Example Programs
Allocators
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52